org.cpsolver.studentsct.extension

## Enum StudentQuality.WeightType

- java.lang.Object
- - java.lang.Enum<StudentQuality.WeightType>
  - - org.cpsolver.studentsct.extension.StudentQuality.WeightType

- All Implemented Interfaces:
    Serializable, Comparable<StudentQuality.WeightType>
  Enclosing class:
    StudentQuality

      public static enum StudentQuality.WeightType
      extends Enum<StudentQuality.WeightType>

  Weighting types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH` Penalty is incurred on both requests
    `HIGHER` Penalty is incurred on the request with higher priority
    `LOWER` Penalty is incurred on the request with lower priority
    `REQUEST` Penalty is incurred on the course request (for conflicts between course request and a free time)

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StudentQuality.WeightType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StudentQuality.WeightType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HIGHER

          public static final StudentQuality.WeightType HIGHER

      Penalty is incurred on the request with higher priority

    - #### LOWER

          public static final StudentQuality.WeightType LOWER

      Penalty is incurred on the request with lower priority

    - #### BOTH

          public static final StudentQuality.WeightType BOTH

      Penalty is incurred on both requests

    - #### REQUEST

          public static final StudentQuality.WeightType REQUEST

      Penalty is incurred on the course request (for conflicts between course request and a free time)

  - ### Method Detail

    - #### values

          public static StudentQuality.WeightType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StudentQuality.WeightType c : StudentQuality.WeightType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StudentQuality.WeightType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null